Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.metadata
Class DynamicSimpleClassMetadataLoader

    java.lang.Object
      org.jboss.aop.metadata.SimpleClassMetaDataLoader
          org.jboss.aop.metadata.DynamicSimpleClassMetadataLoader

All Implemented Interfaces:
  ClassMetaDataLoader

public class DynamicSimpleClassMetadataLoader
extends SimpleClassMetaDataLoader

An extension of SimpleClassMetadataLoader, allowing us to add metadata without resorting to XML. Intention is for dynamically adding metadata at runtime

Version:
  $Revision$
Author:
  Kabir Khan

Field Summary

Fields inherited from class org.jboss.aop.metadata.SimpleClassMetaDataLoader
`singleton`

Constructor Summary
`DynamicSimpleClassMetadataLoader(String tag, String classExpr)`
`DynamicSimpleClassMetadataLoader(String name, String tag, String classExpr)`

Method Summary
`void` | `addClassMetaData(String attr, Object val)`
`void` | `addConstructorMetaData(String constructorExpr, String attr, Object val)`
`void` | `addDefaultMetaData(String attr, Object val)`
`void` | `addFieldMetaData(String fieldName, String attr, Object val)`
`void` | `addMethodMetaData(String methodExpr, String attr, Object val)`
`ClassMetaDataBinding` | `getClassMetaDataBinding()`

Methods inherited from class org.jboss.aop.metadata.SimpleClassMetaDataLoader
`bind, bind, bindConstructorMetaData, bindConstructorMetaData, bindFieldMetaData, bindFieldMetaData, bindMethodMetaData, bindMethodMetaData, importMetaData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicSimpleClassMetadataLoader

    public DynamicSimpleClassMetadataLoader(String name,
                                            String tag,
                                            String classExpr)

### DynamicSimpleClassMetadataLoader

    public DynamicSimpleClassMetadataLoader(String tag,
                                            String classExpr)

Method Detail

### getClassMetaDataBinding

    public ClassMetaDataBinding getClassMetaDataBinding()

### addDefaultMetaData

    public void addDefaultMetaData(String attr,
                                   Object val)

### addClassMetaData

    public void addClassMetaData(String attr,
                                 Object val)

### addMethodMetaData

    public void addMethodMetaData(String methodExpr,
                                  String attr,
                                  Object val)

### addFieldMetaData

    public void addFieldMetaData(String fieldName,
                                 String attr,
                                 Object val)

### addConstructorMetaData

    public void addConstructorMetaData(String constructorExpr,
                                       String attr,
                                       Object val)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.